# coding: UTF-8
'''
Created on Apr 28, 2010

@author: hernan
@note: Version de documentacion hasta revision 1715
'''

class ErrorCalleInexistente(Exception):
    '''
    Excepcion para calle inexistente.
    '''
    calle = ''
    
    def __init__(self, calle):
        '''
        Constructor de la clase.
        @param calle: Nombre oficial de la calle
        @type calle: String 
        '''
        self.calle = calle
        
    def __str__(self):
        '''
        Devuelve un mensaje de error con el nombre de la calle
        @return: Mensaje de error
        @rtype: String
        '''
        return 'Calle inexistente: %s' % self.calle.strInput
        
    def getNombreCalle(self):
        '''
        Devuelve el nombre de la calle 
        @return: Nombre de la calle
        @rtype: String
        '''
        return self.calle
    
    def getErrorMessage(self):
        '''
        Devuelve un mensaje de error mas descriptivo y amigable
        @return: Mensaje de error
        @rtype: String
        '''
        return 'No pudo hallarse ninguna calle existente que coincidiera con su búsqueda. Por favor, revise el nombre ingresado y vuelva a intentarlo.'
