# coding: UTF-8
'''
Created on Apr 29, 2010

@author: hernan
@note: Version de documentacion hasta revision 1715
'''

class ErrorCalleSinAlturas(Exception):
    '''
    Excepcion para calle sin alturas.
    '''
    calle = ""

    def __init__(self, calle):
        '''
        @param calle: Nombre oficial de la calle
        @type calle: String
        '''
        self.calle = calle
    
    def __str__(self):
        '''
        Devuelve un mensaje de error con el nombre de la calle
        @return: Mensaje de error
        @rtype: String
        '''
        return "La calle '"+self.calle+"' no posee alturas oficiales. Utilice intersecciones para hallar direcciones sobre esta calle.";

    def getNombreCalle(self):
        '''
        Devuelve el nombre de la calle 
        @return: Nombre de la calle
        @rtype:  String
        '''
        return self.calle

    def getErrorMessage(self):
        '''
        Devuelve un mensaje de error mas descriptivo y amigable
        @return: Mensaje de error
        @rtype: String
        '''
        msg = 'La calle '+self.calle+' no posee alturas oficiales. Utilice intersecciones para hallar direcciones v&aacute;lidas sobre esta calle o escriba S/N en lugar de la altura. Tenga en cuenta que si utiliza S/N no podr&aacute; geocodificar esta direcci&oacute;n.'
        return msg