# coding: UTF-8
'''
Created on Apr 29, 2010

@author: hernan
@note: Version de documentacion hasta revision 1715
'''

class ErrorCruceInexistente(Exception):
    '''
    Excepcion para calles que no se cruzan.
    '''
    calle1 = ""
    matchingsCalle1 = []
    calle2 = ""
    matchingsCalle2 = []

    def __init__(self, calle1, matchingsCalle1, calle2, matchingsCalle2):
        '''
        @param calle1: Nombre oficial de la primera calle
        @type calle1:  String
        @param matchingsCalle1: Array de instancias de Calle que matchean el string 'calle1'
        @type matchingsCalle1: Array de calle
        @param calle2: Nombre oficial de la segunda calle
        @type calle2:  String
        @param matchingsCalle2: Array de instancias de Calle que matchean el string 'calle2'
        @type matchingsCalle2: Array de calle
        '''
        self.calle1 = calle1
        self.matchingsCalle1 = matchingsCalle1
        self.calle2 = calle2
        self.matchingsCalle2 = matchingsCalle2
    
    def __str__(self):
        '''
        Devuelve un mensaje de error con el nombre de la calle
        @return: Mensaje de error
        @rtype: String
        '''
        return "Cruce inexistente: "+self.calle1+" y "+self.calle2

    def getCalle1(self):
        '''
        Devuelve el nombre de la calle 
        @return: Nombre de la primera calle
        @rtype: String
        '''
        return self.calle1

    def getCalle2(self):
        '''
        Devuelve el nombre de la calle 
        @return: Nombre de la segunda calle
        @rtype: String
        '''
        return self.calle2

    def getMatchingsCalle1(self):
        '''
        Devuelve el array de matchings para la primera calle 
        @return: Instancias de Calle que matchean 'calle1'
        @rtype: Array de calle
        '''
        return self.matchingsCalle1

    def getMatchingsCalle2(self):
        '''
        Devuelve el array de matchings para la primera calle 
        @return: Instancias de Calle que matchean 'calle2'
        @rtype: Array de calle
        '''
        return self.matchingsCalle2

    def getErrorMessage(self):
        '''
        Devuelve un mensaje de error mas descriptivo y amigable
        @return: Mensaje de error
        @rtype: String
        '''
        msg = 'El cruce de calles indicado no existe. A continuaci&oacute;n se muestran algunas calles que coinciden con su b&uacute;squeda.'
        msg+='<br/>Algunas calles halladas que coinciden con la 1ra calle ingresada son:<ul>';
        for calle in self.matchingsCalle1:
            msg+='<li>'+calle.nombre+'</li>'
        msg+='</ul>'            
        msg+='Algunas calles halladas que coinciden con la 2da calle ingresada son:<ul>';
        for calle in self.matchingsCalle2:
            msg+='<li>'+calle.nombre+'</li>'
        msg+='</ul>'            
        return msg