# coding: UTF-8
'''
Created on May 5, 2010

@author: hernan
@todo: Documentar los metodos.
'''

class Punto:
    '''
    @ivar x: Coordenada X del punto
    @type x: Float 
    @ivar y: Coordenada Y del punto
    @type y: Float
    '''

    x = 0
    y = 0

    def __init__(self, x, y):
        '''
        @param x: Coordenada X del punto
        @type x: Float 
        @param y: Coordenada Y del punto
        @type y: Float
        '''
        self.x = x
        self.y = y

    def getX(self):
        '''
        Devuelve la coordenada x del punto
        @returns: La coordenada x del punto
        @rtype: Float
        '''
        return self.x

    def getY(self):
        '''
        Devuelve la coordenada y del punto
        @returns: La coordenada y del punto
        @rtype: Float
        '''
        return self.y

    def toJson(self):
        '''
        Devuelve una representacion del punto en formato JSON
        @return: Representacion del punto como cadena JSON con la forma '{'x': XXXXX, 'y': YYYYY }'
        @rtype: String
        '''
        return '{ "x":'+self.x+', "y": '+self.y+' }'

    def toString(self):
        ''' 
        Devuelve una representacion del punto como cadena en el formato '(x, y)'
        @return: Representacion del punto como cadena con la forma '(x, y)'
        @rtype: String
        '''
        return '('+self.x+', '+self.y+')'
